Name:           qmdnsengine
Version:        0.1.0
Release:        1%{?dist}
Summary:        Library for multicast DNS as per RFC 676

License:        MIT
URL:            https://github.com/nitroshare/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
%if 0%{?fedora}
%global pkgcmake cmake
%global ctest    ctest
%else
%global pkgcmake cmake3
%global cmake    %cmake3
%global ctest    ctest3
%endif
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  doxygen

%description
Simple set of classes for developing HTTP server applications in Qt.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake%{?_isa}

%description devel
%{summary}.

%package doc
Summary:        API documentation files for %{name}
BuildArch:      noarch

%description doc
%{summary}.


%prep
%autosetup
sed -i 's,OUTPUT_DIRECTORY.*=,\0 '$(pwd)',' doc/Doxyfile.in

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DBUILD_TESTS=ON -DBUILD_DOC=ON ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}/src

%check
pushd %{_target_platform}
%ctest %{?_smp_mflags} -VV
popd


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license LICENSE.txt
%doc README.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*/
%{_libdir}/cmake/*/
%{_libdir}/lib*.so
# FIXME add pkgconfig
#%{_libdir}/pkgconfig/*.pc

%files doc
%license LICENSE.txt
%doc examples/
%doc html/


%changelog
* Sat Oct 21 2017 Raphael Groner <projects.rg@smart.ms> - 0.1.0-1
- initial
